Package Details: ferm 2.6-1

Git Clone URL: https://aur.archlinux.org/ferm.git (read-only, click to copy)
Package Base: ferm
Description: Tool to maintain complex firewalls
Upstream URL: http://ferm.foo-projects.org/
Licenses: GPL2
Submitter: seblu
Maintainer: fabi
Last Packager: fabi
Votes: 4
Popularity: 0.84
First Submitted: 2021-04-18 22:13
Last Updated: 2021-06-20 14:01

Latest Comments

emersion commented on 2021-06-22 07:31

If importing the PGP key fails with:

gpg: keyserver receive failed: No name
problem importing keys

This has fixed it for me:

gpg --keyserver 'hkps://keyserver.ubuntu.com' --recv-keys 0392335A78083894A4301C43236E8A58C6DB4512

bastelfreak commented on 2021-05-26 10:20

Here is a diff to update it to 2.6.0:

diff --git a/PKGBUILD b/PKGBUILD
index 71427b8..0c73835 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
 # Contributor: Manuel Mazzuola <origin.of@gmail.com>

 pkgname=ferm
-pkgver=2.5.1
+pkgver=2.6.0
 pkgrel=1
 pkgdesc='Tool to maintain complex firewalls'
 arch=('any')
@@ -14,15 +14,15 @@ optdepends=('ebtables' 'arptables' 'ipset')
 backup=("etc/$pkgname.conf")
 validpgpkeys=('0392335A78083894A4301C43236E8A58C6DB4512') # Max Kellermann <max@blarg.de>
 source=(
-  "http://ferm.foo-projects.org/download/${pkgver:0:3}/$pkgname-$pkgver.tar.xz"{,.sig}
+  "http://ferm.foo-projects.org/download/${pkgver:0:3}/$pkgname-${pkgver:0:3}.tar.xz"{,.sig}
   "$pkgname.service")
-md5sums=('6d14d9e5e672885bc6f2fceafbf2942f'
-         'SKIP'
-         '9c5ece2628fd86a73b70f9c39df63e9f')
+sha512sums=('af2bb852630304a86629c2ce3af8f557d17f59c704589ea130d8578f300a606e4fedbd39c88f89646df974947fc27982e3ea21de1187257afc74a6056fdf666c'
+            'SKIP'
+            '92b9361d7bfa0d0e5eb6217f72dd88ff23369adca7dded25cf659d229bf6dabd250469c3b53a238d31ae14b011fce5bcb36bfeccd01f0356530d8eda1d6ca7aa')

 package() {
   # software setup
-  cd $pkgname-$pkgver
+  cd $pkgname-${pkgver:0:3}
   make PREFIX="$pkgdir/usr" install
   cd "$pkgdir"
   # setup default config

fabi commented on 2021-05-08 19:53

Thanks for the info, that the package is outdated. I did prepare an update, but the change is rejected, because the package is still seen as part of the community repository.

I think this is due to the bug reported here: https://gitlab.archlinux.org/archlinux/aurweb/-/issues/11